## golang-code.gitea-git 0.0~git20170321.0.5b41327

=== Makefile ===
IMPORT := code.gitea.io/git

PACKAGES ?= $(shell go list ./... | grep -v /vendor/)
GENERATE ?= code.gitea.io/git

.PHONY: all
all: clean test build

.PHONY: clean
clean:
	go clean -i ./...

generate:
	@which mockery > /dev/null; if [ $$? -ne 0 ]; then \
		go get -u github.com/vektra/mockery/...; \
	fi
	go generate $(GENERATE)

.PHONY: fmt
fmt:
	find . -name "*.go" -type f -not -path "./vendor/*" | xargs gofmt -s -w

.PHONY: vet
vet:
	go vet $(PACKAGES)

.PHONY: lint
lint:
	@which golint > /dev/null; if [ $$? -ne 0 ]; then \
		go get -u github.com/golang/lint/golint; \
	fi
	for PKG in $(PACKAGES); do golint -set_exit_status $$PKG || exit 1; done;

.PHONY: test
test:
	for PKG in $(PACKAGES); do go test -cover -coverprofile $$GOPATH/src/$$PKG/coverage.out $$PKG || exit 1; done;

.PHONY: build
build:
	go build .

=== debian/changelog ===
golang-code.gitea-git (0.0~git20170321.0.5b41327-1) unstable; urgency=medium

  * Initial release (Closes: #857698)

 -- Michael Lustfield <michael@lustfield.net>  Thu, 23 Mar 2017 23:08:42 -0500

## golang-code.gitea-git 0.0~git20170710.0.fc63966

=== debian/changelog ===
golang-code.gitea-git (0.0~git20170710.0.fc63966-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 17 Jul 2017 15:05:21 -0500

=== debian/control ===
Source: golang-code.gitea-git
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-mcuadros-go-version-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-stretchr-testify-dev,
               golang-github-unknwon-com-dev,
               git
Standards-Version: 3.9.8
Homepage: https://github.com/go-gitea/git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-code.gitea-git.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-code.gitea-git.git
XS-Go-Import-Path: code.gitea.io/git

Package: golang-code.gitea-git-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-davecgh-go-spew-dev,
         golang-github-mcuadros-go-version-dev,
         golang-github-pmezard-go-difflib-dev,
         golang-github-stretchr-testify-dev,
         golang-github-unknwon-com-dev
Description: Go module that provides git access through shell
 This git package provides methods for interacting with git through
 shell commands. It provides a generic and flexible interface that
 can be used for many projects.
 .
 Documentation: https://godoc.org/code.gitea.io/git

## golang-code.gitea-git 0.0~git20170919.0.cdb43f0

=== debian/changelog ===
golang-code.gitea-git (0.0~git20170919.0.cdb43f0-1) unstable; urgency=medium

  * New upstream build.
  * Maintenance updates:
    - Standards-Version bump.
    - Add Testsuite to d/control.

 -- Michael Lustfield <michael@lustfield.net>  Thu, 28 Sep 2017 23:35:34 -0500

## golang-code.gitea-git 0.0~git20171222.4ec3654

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 IMPORT := code.gitea.io/git
 
-PACKAGES ?= $(shell go list ./... | grep -v /vendor/)
+PACKAGES ?= $(shell go list -e ./... | grep -v /vendor/ | grep -v /benchmark/)
 GENERATE ?= code.gitea.io/git
 
 .PHONY: all
@@ -18,7 +18,7 @@
 
 .PHONY: fmt
 fmt:
-	find . -name "*.go" -type f -not -path "./vendor/*" | xargs gofmt -s -w
+	find . -name "*.go" -type f ! -path "./vendor/*" ! -path "./benchmark/*" | xargs gofmt -s -w
 
 .PHONY: vet
 vet:
@@ -35,6 +35,10 @@
 test:
 	for PKG in $(PACKAGES); do go test -cover -coverprofile $$GOPATH/src/$$PKG/coverage.out $$PKG || exit 1; done;
 
+.PHONY: bench
+bench:
+	go test -run=XXXXXX -benchtime=10s -bench=. || exit 1
+
 .PHONY: build
 build:
 	go build .

=== docker/ci/Makefile ===
git-1.7:
	docker build -t gitea/ci:git-1.7 -f Dockerfile-git-1.7 .

=== debian/changelog ===
golang-code.gitea-git (0.0~git20171222.4ec3654-3) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:26 -0600

golang-code.gitea-git (0.0~git20171222.4ec3654-2) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:15:56 -0600

golang-code.gitea-git (0.0~git20171222.4ec3654-1) unstable; urgency=medium

  * New upstream revision.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 29 Dec 2017 12:46:42 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-code.gitea-git
 Section: devel
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Lustfield <michael@lustfield.net>
+Maintainer: QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
@@ -12,10 +11,11 @@
                golang-github-stretchr-testify-dev,
                golang-github-unknwon-com-dev,
                git
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/go-gitea/git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-code.gitea-git.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-code.gitea-git.git
+Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: code.gitea.io/git
 
 Package: golang-code.gitea-git-dev

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

# Disabling tests: https://github.com/go-gitea/git/issues/38
override_dh_auto_test:

## golang-code.gitea-git 0.0~git20190411.63b74d4+ds

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 .PHONY: lint
 lint:
 	@which golint > /dev/null; if [ $$? -ne 0 ]; then \
-		go get -u github.com/golang/lint/golint; \
+		go get -u golang.org/x/lint/golint; \
 	fi
 	for PKG in $(PACKAGES); do golint -set_exit_status $$PKG || exit 1; done;

=== debian/changelog ===
golang-code.gitea-git (0.0~git20190411.63b74d4+ds-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.0~git20190411.63b74d4+ds.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added new dependency: golang-gopkg-src-d-go-git.v4-dev.
      - Added 'Rules-Requires-Root: no'.
      - Bumped Standards-Version to 4.5.1.
      - Changed the section from devel to golang.
      - Changed the priority from extra to optional.
      - Fixed Maintainer field.
      - Updated VCS fields to use Salsa.
  * debian/copyright:
      - Added Files-Excluded field.
      - Updated upstream and packaging copyright years.
      - Using https protocol in Format field.
  * debian/gbp.conf: updated.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/source/lintian-overrides: removed because it is not needed.
  * debian/upstream/metadata: added.
  * debian/watch: added.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 28 Dec 2020 19:48:46 +0000

=== debian/control ===
Source: golang-code.gitea-git
Section: golang
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-mcuadros-go-version-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-stretchr-testify-dev,
               golang-github-unknwon-com-dev,
               golang-gopkg-src-d-go-git.v4-dev,
               git
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/go-gitea/git
Vcs-Browser: https://salsa.debian.org/debian/golang-code.gitea-git
Vcs-Git: https://salsa.debian.org/debian/golang-code.gitea-git.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: code.gitea.io/git

Package: golang-code.gitea-git-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-davecgh-go-spew-dev,
         golang-github-mcuadros-go-version-dev,
         golang-github-pmezard-go-difflib-dev,
         golang-github-stretchr-testify-dev,
         golang-github-unknwon-com-dev,
         golang-gopkg-src-d-go-git.v4-dev
Description: Go module that provides git access through shell
 This git package provides methods for interacting with git through
 shell commands. It provides a generic and flexible interface that
 can be used for many projects.
 .
 Documentation: https://godoc.org/code.gitea.io/git

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
https://github.com/go-gitea/git.git HEAD
